select
(case nt.tipofiscal when 'N' then 'Nota Fiscal' when 'I' then 'Nota provisria' when 'P' then 'Pedidos' else '' end) as tipo_despesa
  , nt.numdocumento as numero_nota
  , mo.numparcela || '\' || (select count(*) from movimento re where re.cdnota = nt.cdnota) as numero_parcela
  , nt.dtentradasaida as data_entrada_saida
  , nt.dtemissao as data_emissao
  , mo.dtvencimento
  , (case when (nt.tiponota = 'E') then (mo.valor*-1) else (mo.valor) end) as valor_parcela
  , pes.nome as fornecedor_cliente
  , res.nome as responsavel_compra_venda
  , pr.nome as produto
  , ni.qtde as quantidade_produto
  , mo.dtpagamento as data_Pagamento_recebimento
  , (case when (nt.tiponota = 'E') then (mo.vrpago*-1) else (mo.vrpago) end) as valor_pago_recebido
  , mo.dtcompensacao as data_compensacao
  , cc.descricao as conta_corrente
  , tp.nome as tipo_pagamento_recebimento
  , mo.numdocumento as numero_documento_pagamento_recebimento
from
  movimento mo
  join nota nt on nt.cdnota = mo.cdnota
  join pessoa pes on pes.cdpessoa = nt.cdpessoa
  left join contacorrente cc on cc.cdcontacorrente = mo.cdcontacorrente
  left join tipopagamentorecebimento tp on tp.cdtipopagamentorecebimento = mo.cdtipopagamentorecebimento
  join notaitem ni on ni.cdnota = nt.cdnota
  join produto pr on pr.cdproduto = ni.cdproduto
  left join pessoa res on res.cdpessoa = nt.cdresponsavel
where
  nt.tiponota in ('E','S')
  and nt.valor <> 0
---ALTERAR AQUI O PERODO DE EMISSO, CONFORME SOLICITADO. MANTER O FORMATO 'AAAA-MM-DD'
  and nt.dtemissao between '2018-01-01' and '2018-11-25' 
order by
  nt.dtemissao
